<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/heroDetailScrollView"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingBottom="16dp">

        <ImageView
            android:id="@+id/heroDetailImage"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:contentDescription="@string/heroDetailImage"
            android:transitionName="@string/image_transition" />

        <android.support.constraint.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/favoriteButton"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_marginBottom="8dp"
                android:layout_marginEnd="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginTop="8dp"
                android:alpha="0.1"
                android:clickable="true"
                android:contentDescription="@string/favorite"
                android:focusable="true"
                android:visibility="visible"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/big_heart" />

            <TextView
                android:id="@+id/heroDetailName"
                style="@style/HeroDetailName"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="24dp"
                app:layout_constraintEnd_toStartOf="@+id/favoriteButton"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="Iron Man" />

            <TextView
                android:id="@+id/heroDetailRealName"
                style="@style/HeroDetailRealName"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_marginLeft="8dp"
                android:layout_marginRight="8dp"
                android:layout_marginStart="8dp"
                app:layout_constraintEnd_toStartOf="@+id/favoriteButton"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/heroDetailName"
                tools:text="Anthony Edward 'Tony' Stark" />
        </android.support.constraint.ConstraintLayout>

        <TextView
            android:id="@+id/heroDetailHeight"
            style="@style/HeroDetailHeight"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="1.85m" />

        <TextView
            android:id="@+id/heroDetailPower"
            style="@style/HeroDetailPower"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="None; Tony's body had been enhanced by the modified techno-organic virus, Extremis, but it is currently inaccessible and inoperable." />

        <TextView
            android:id="@+id/heroDetailAbilities"
            style="@style/HeroDetailAbilities"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="Tony has a genius level intellect that allows him to invent a wide range of sophisticated devices, specializing in advanced weapons and armor. He possesses a keen business mind." />

    </LinearLayout>

</ScrollView>